import gtk

from deluge.log import LOG as log
from deluge.ui.client import client
from deluge.plugins.pluginbase import GtkPluginBase
import deluge.component as component
import deluge.common

from common import get_resource

class GtkUI(GtkPluginBase):
    def enable(self):
        torrentmenu = component.get("MenuBar").torrentmenu_glade.get_widget("torrent_menu")

        self.sep = gtk.SeparatorMenuItem()
        self.item = gtk.CheckMenuItem(_("_Premiere Mode"))
        self.item.connect("toggled", self.on_checkbox_toggle)
        
        torrentmenu.append(self.sep)
        torrentmenu.append(self.item)

        self.sep.show()
        self.item.show()

    def disable(self):
        torrentmenu = component.get("MenuBar").torrentmenu_glade.get_widget("torrent_menu")
        torrentmenu.remove(self.item)
        torrentmenu.remove(self.sep)

    def on_checkbox_toggle(self, checkbox):
        ids = component.get("TorrentView").get_selected_torrents()
        if checkbox.active:
            for torrent_id in ids:
                client.premiere.add_premiere_torrent(torrent_id)
        else:
            for torrent_id in ids:
                client.premiere.del_premiere_torrent(torrent_id)
